Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 1284193003: Removal of getUserMedia() on insecure origins (Closed)

Created:
3 years, 9 months ago by jww
Modified:
3 years, 9 months ago
Reviewers:
philipj_slow, Mike West
CC:
blink-reviews, tommyw+watchlist_chromium.org
Target Ref:
refs/remotes/origin/master
Project:
blink
Visibility:
Public.

Description

Removal of getUserMedia() on insecure origins This disallows getUserMedia() from being used on insecure origins. Adds a console warning message that the API call has failed because of this. BUG=520765 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=200986

Patch Set 1 #

Total comments: 9

Patch Set 2 : Fixes from comments #

Patch Set 3 : Rebase on ToT #

Patch Set 4 : Remove redundant test #

Total comments: 4

Patch Set 5 : Test nits #

Patch Set 6 : Dedupped secure scheme registry. #

Messages

Total messages: 29 (10 generated)
jww
Received lgtm for remove getUserMedia() on insecure origins: https://groups.google.com/a/chromium.org/forum/#!topic/blink-dev/Dsoq5xPdzyw
3 years, 9 months ago (2015-08-18 00:19:12 UTC) #2
Mike West
https://codereview.chromium.org/1284193003/diff/1/LayoutTests/http/tests/security/powerfulFeatureRestrictions/old-powerful-features-on-insecure-origin.html File LayoutTests/http/tests/security/powerfulFeatureRestrictions/old-powerful-features-on-insecure-origin.html (right): https://codereview.chromium.org/1284193003/diff/1/LayoutTests/http/tests/security/powerfulFeatureRestrictions/old-powerful-features-on-insecure-origin.html#newcode105 LayoutTests/http/tests/security/powerfulFeatureRestrictions/old-powerful-features-on-insecure-origin.html:105: assert_unreached('getUserMedia should throw an exception, but called the "fail" ...
3 years, 9 months ago (2015-08-18 00:28:38 UTC) #4
philipj_slow
https://codereview.chromium.org/1284193003/diff/1/LayoutTests/http/tests/security/powerfulFeatureRestrictions/old-powerful-features-on-insecure-origin.html File LayoutTests/http/tests/security/powerfulFeatureRestrictions/old-powerful-features-on-insecure-origin.html (right): https://codereview.chromium.org/1284193003/diff/1/LayoutTests/http/tests/security/powerfulFeatureRestrictions/old-powerful-features-on-insecure-origin.html#newcode105 LayoutTests/http/tests/security/powerfulFeatureRestrictions/old-powerful-features-on-insecure-origin.html:105: assert_unreached('getUserMedia should throw an exception, but called the "fail" ...
3 years, 9 months ago (2015-08-18 08:35:10 UTC) #5
jww
https://codereview.chromium.org/1284193003/diff/1/LayoutTests/http/tests/security/powerfulFeatureRestrictions/old-powerful-features-on-insecure-origin.html File LayoutTests/http/tests/security/powerfulFeatureRestrictions/old-powerful-features-on-insecure-origin.html (right): https://codereview.chromium.org/1284193003/diff/1/LayoutTests/http/tests/security/powerfulFeatureRestrictions/old-powerful-features-on-insecure-origin.html#newcode105 LayoutTests/http/tests/security/powerfulFeatureRestrictions/old-powerful-features-on-insecure-origin.html:105: assert_unreached('getUserMedia should throw an exception, but called the "fail" ...
3 years, 9 months ago (2015-08-18 16:27:12 UTC) #6
lgarron
On 2015/08/18 at 16:27:12, jww wrote: > https://codereview.chromium.org/1284193003/diff/1/LayoutTests/http/tests/security/powerfulFeatureRestrictions/old-powerful-features-on-insecure-origin.html > File LayoutTests/http/tests/security/powerfulFeatureRestrictions/old-powerful-features-on-insecure-origin.html (right): > > https://codereview.chromium.org/1284193003/diff/1/LayoutTests/http/tests/security/powerfulFeatureRestrictions/old-powerful-features-on-insecure-origin.html#newcode105 ...
3 years, 9 months ago (2015-08-18 18:32:28 UTC) #7
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1284193003/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1284193003/1
3 years, 9 months ago (2015-08-18 18:43:18 UTC) #9
commit-bot: I haz the power
Dry run: No L-G-T-M from a valid reviewer yet. Only full committers are accepted. Even ...
3 years, 9 months ago (2015-08-18 18:43:20 UTC) #11
philipj_slow
https://codereview.chromium.org/1284193003/diff/1/Source/modules/mediastream/NavigatorMediaStream.cpp File Source/modules/mediastream/NavigatorMediaStream.cpp (right): https://codereview.chromium.org/1284193003/diff/1/Source/modules/mediastream/NavigatorMediaStream.cpp#newcode70 Source/modules/mediastream/NavigatorMediaStream.cpp:70: exceptionState.throwSecurityError(errorMessage); On 2015/08/18 16:27:12, jww wrote: > On 2015/08/18 ...
3 years, 9 months ago (2015-08-19 12:26:43 UTC) #12
philipj_slow
https://codereview.chromium.org/1284193003/diff/1/Source/modules/mediastream/NavigatorMediaStream.cpp File Source/modules/mediastream/NavigatorMediaStream.cpp (right): https://codereview.chromium.org/1284193003/diff/1/Source/modules/mediastream/NavigatorMediaStream.cpp#newcode70 Source/modules/mediastream/NavigatorMediaStream.cpp:70: exceptionState.throwSecurityError(errorMessage); On 2015/08/19 12:26:43, philipj wrote: > On 2015/08/18 ...
3 years, 9 months ago (2015-08-19 12:39:24 UTC) #13
jww
https://codereview.chromium.org/1284193003/diff/1/Source/modules/mediastream/NavigatorMediaStream.cpp File Source/modules/mediastream/NavigatorMediaStream.cpp (right): https://codereview.chromium.org/1284193003/diff/1/Source/modules/mediastream/NavigatorMediaStream.cpp#newcode70 Source/modules/mediastream/NavigatorMediaStream.cpp:70: exceptionState.throwSecurityError(errorMessage); On 2015/08/19 12:39:24, philipj wrote: > On 2015/08/19 ...
3 years, 9 months ago (2015-08-19 17:10:33 UTC) #14
Mike West
LGTM, thanks for taking a second pass.
3 years, 9 months ago (2015-08-19 22:58:00 UTC) #15
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1284193003/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1284193003/20001
3 years, 9 months ago (2015-08-19 22:58:36 UTC) #17
lgarron
On 2015/08/19 at 22:58:36, commit-bot wrote: > Dry run: CQ is trying da patch. Follow ...
3 years, 9 months ago (2015-08-19 23:40:15 UTC) #19
philipj_slow
LGTM with test nits https://codereview.chromium.org/1284193003/diff/60001/LayoutTests/http/tests/security/powerfulFeatureRestrictions/old-powerful-features-on-insecure-origin.html File LayoutTests/http/tests/security/powerfulFeatureRestrictions/old-powerful-features-on-insecure-origin.html (right): https://codereview.chromium.org/1284193003/diff/60001/LayoutTests/http/tests/security/powerfulFeatureRestrictions/old-powerful-features-on-insecure-origin.html#newcode101 LayoutTests/http/tests/security/powerfulFeatureRestrictions/old-powerful-features-on-insecure-origin.html:101: assert_unreached('getUserMedia should throw an exception, ...
3 years, 9 months ago (2015-08-20 09:49:18 UTC) #20
jww
https://codereview.chromium.org/1284193003/diff/60001/LayoutTests/http/tests/security/powerfulFeatureRestrictions/old-powerful-features-on-insecure-origin.html File LayoutTests/http/tests/security/powerfulFeatureRestrictions/old-powerful-features-on-insecure-origin.html (right): https://codereview.chromium.org/1284193003/diff/60001/LayoutTests/http/tests/security/powerfulFeatureRestrictions/old-powerful-features-on-insecure-origin.html#newcode101 LayoutTests/http/tests/security/powerfulFeatureRestrictions/old-powerful-features-on-insecure-origin.html:101: assert_unreached('getUserMedia should throw an exception, but called the "success" ...
3 years, 9 months ago (2015-08-20 15:29:45 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1284193003/100001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1284193003/100001
3 years, 9 months ago (2015-08-21 05:21:58 UTC) #24
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/96611)
3 years, 9 months ago (2015-08-21 07:07:52 UTC) #26
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1284193003/100001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1284193003/100001
3 years, 9 months ago (2015-08-21 13:12:42 UTC) #28
commit-bot: I haz the power
3 years, 9 months ago (2015-08-21 14:15:35 UTC) #29
Message was sent while issue was closed.
Committed patchset #6 (id:100001) as
https://src.chromium.org/viewvc/blink?view=rev&revision=200986

Powered by Google App Engine
This is Rietveld 408576698